#
# spec file for package gphoto (Version 0.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel imlib imlib-devel libjpeg libnetpbm libpng libtiff libungif xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libjpeg libnetpbm libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gphoto
%define prefix %{_prefix}
Copyright:    GPL
Group:        X11/GNOME/Graphics
Provides:     gphoto 
Autoreqprov:  on
Summary:      Digital camera utility
Version:      0.4.3
Release:      284
Source0:      gphoto-0.4.3.tar.gz
Patch:        gphoto-0.4.3-setlocale.patch
Patch1:	      gphoto-0.4.3.dif
BuildRoot:    /var/tmp/build-gphoto

%description
gPhoto (GNU Photo) is a free graphical application for retrieving, organizing
and publishing images from a range of supported digital cameras or existing
images on your local harddrive.
At this time gPhoto supports the following cameras:
Sony DSC-F1
Sanyo VPC-G250
Sanyo VPC-G210
Ricoh RDC-4300 (unverified)
Ricoh RDC-4200 (unverified)
Ricoh RDC-300Z
Ricoh RDC-300
Polaroid PDC 640
Philips ESP80
Panasonic Coolshot KXl-600A (unverified)
Olympus C-2000Z
Olympus C-1400L
Olympus C-1000L
Olympus C-900L Zoom
Olympus C-820L
Olympus C-800L (unverified)
Olympus C-410L (unverified)
Olympus C-400L
Olympus D-600L
Olympus D-500L
Olympus D-340L
Olympus D-320L
Olympus D-300L (unverified)
Olympus D-220L
Nikon CoolPix 950
Nikon CoolPix 900S
Nikon CoolPix 900
Nikon CoolPix 600 (unverified)
Nikon CoolPix 300 (unverified)
Nikon CoolPix 100 (unverified)
Minolta Dimmage
Konica QM100V
Konica QM100
Kodak DC210
Kodak DC25
Kodak DC20
Hewlett Packard C30
Hewlett Packard C20 (unverified)
Fuji DS-7
Epson PhotoPC 700
Epson PhotoPC 600
Epson PhotoPC 550
Epson PhotoPC 500
Chinon ES-1000
Casio QV-200
Casio QV-100
Casio QV-11
Casio QV-10
Apple QuickTake 200
Apple QuickTake 150
Agfa ePhoto 1680
Agfa ePhoto 1280
Agfa ePhoto 780
Agfa ePhoto 307

Authors:
--------
    Scott Fritzinger <scottf@scs.unr.edu>
    Eugene Crosser <crosser@average.org>
    Matt Martin <matt.martin@ieee.org>
    Gary Ross <gdr@hooked.net>
    M. Adam Kendall <joker@penguinpub.com>
    Del Simmons <del@gphoto.org>
    Bob Paauwe <bpaauwe@bobsplace.com>
    Cliff Wright <cliff@snipe444.org>
    Phill Hugo <phill@gphoto.org>
    Beat Christen <spiff@longstreet.ch>
    Warren Baird <wjbaird@bigfoot.com>
    Brent D. Metz <bmetz@vt.edu>
    Brian Hirt <bhirt@loopy.berkhirt.com>
    Mandrake <mandrake@lobotomy.com>
    Randy D. Scott <scottr@wwa.com>
    Paul S. Jenner <psj@mustec.eu.org>
    Tuomas Kuosmanen <tigert@gimp.org>
    Ole Aamot <oleaa@ifi.uio.no>

SuSE series: gra

%prep
%setup 
%patch
%patch1
cd $RPM_BUILD_DIR
%{?suse_update_config:%{suse_update_config -f gphoto-0.4.3}}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=%{prefix} --mandir=%{_mandir}
  
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
     mandir=$RPM_BUILD_ROOT%{_mandir} install
mkdir --parents $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Graphics
mv $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Graphics/gphoto.desktop \
   $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Graphics

%clean
rm -rf $BUILD_ROOT

%files
%doc README AUTHORS COPYING INSTALL NEWS THANKS TODO MANUAL THEMES ChangeLog PROGRAMMERS
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/share/gphoto
%{_mandir}/man1/gphoto.1.gz
/opt/gnome/share/gnome/apps/Graphics/*

%changelog -n gphoto
* Mon Jul 02 2001 - uli@suse.de
- disabled RT scheduling (may hang machine)
* Wed Jun 27 2001 - schwab@suse.de
- Fix strcat calls.
* Tue Apr 17 2001 - uli@suse.de
- 64 bit fixes for some backends
* Thu Mar 01 2001 - egger@suse.de
- Major overhaul. Use BuildRooting, RPM_OPT_FLAGS and
  cleaned up specfile a lot.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Sat Jan 27 2001 - violiet@suse.de
- added gphoto call gtk_set_locale() _BEFORE_ gtk_init().
* Thu Nov 30 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Jun 06 2000 - uli@suse.de
- update -> 0.4.3
- moved docs to %%{_docdir}
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - uli@suse.de
- moved man page to /usr/share
* Fri Jan 14 2000 - uli@suse.de
- New version 0.4.2
* Thu Oct 07 1999 - uli@suse.de
- New version 0.4.0
* Tue Sep 28 1999 - uli@suse.de
- New version 0.3.9
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 08 1999 - uli@suse.de
- New version 0.3.4
* Wed Jun 23 1999 - uli@suse.de
- Spec file created from gphoto-0.3.2.tar.gz by autospec
